> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.mailercloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Lists

> Use this API to return an array of all of your contact lists. You can filter, search  and sort list.



## OpenAPI

````yaml /openapi-v1.json post /lists/search
openapi: 3.1.0
info:
  title: Mailercloud Marketing API
  version: 1.0.0
  description: >-
    Campaigns, contacts, lists, segments, automations, and webhooks for the
    Mailercloud Marketing Platform.
servers:
  - url: https://cloudapi.mailercloud.com/v1
security:
  - apiKey: []
tags:
  - name: Campaigns
  - name: Contacts
  - name: Lists
  - name: Tags
  - name: Segments
  - name: Custom Properties
  - name: Senders
  - name: Templates
  - name: Automations
  - name: Webhooks
  - name: Webforms
  - name: Inbox Tracker
  - name: Account
paths:
  /lists/search:
    post:
      tags:
        - Lists
      summary: List Lists
      description: >-
        Use this API to return an array of all of your contact lists. You can
        filter, search  and sort list.
      operationId: get-all-list-and-search-list
      parameters:
        - name: Content-Type
          in: header
          required: true
          description: Request body type
          schema:
            type: string
            default: application/json
      requestBody:
        required: true
        content:
          application/json:
            schema:
              description: ''
              type: object
              properties:
                limit:
                  type: number
                  description: |-
                    Maximum number of elements to return. 

                    Maximum: 100
                    Minimum: 10
                  minimum: 10
                  maximum: 100
                list_type:
                  type: number
                  description: |-
                    Your List type .

                    Available Choices

                    Normal List: 1
                page:
                  type: number
                  description: >-
                    You can retrieve a subset of records starting from the page
                    value you have specified. You can add a limit, which will
                    determine the number of records you can retrieve on a single
                    page.


                    Starts From: 1
                  maximum: 3
                search_name:
                  type: string
                  minLength: 1
                  description: 'Filter list by name , giving name in search keyword '
                sort_field:
                  type: string
                  minLength: 1
                  description: |-
                    Sort list data based on this field

                    Available sort fields

                    name,contact_count,open_percentage
                sort_order:
                  type: string
                  minLength: 1
                  description: |-
                    Sorting order for sort field

                    Available sort orders
                     
                    asc, ASC, desc, DESC 
              required:
                - limit
                - list_type
                - page
            examples:
              example-1:
                value:
                  limit: 10
                  list_type: 1
                  page: 1
                  search_name: subscription
                  sort_field: name
                  sort_order: asc
              example-2:
                value:
                  limit: 10
                  page: 10
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  count:
                    type: number
                  data:
                    type: object
                    properties:
                      contact_count:
                        type: number
                      list_status:
                        type: string
                        minLength: 1
                      list_type:
                        type: string
                        minLength: 1
                      name:
                        type: string
                        minLength: 1
                      open_percentage:
                        type: number
              examples:
                example-1:
                  value:
                    count: 100
                    data:
                      contact_count: 100
                      id: ws
                      list_status: Updating
                      list_type: Normal List
                      name: Subscription list
                      open_percentage: 50
                example-2:
                  value:
                    data:
                      '0':
                        contact_count: '1'
                        id: hXUA
                        list_status: Updating
                        list_type: Normal
                        name: List Registration
                        open_percentage: '0.00'
                      '1':
                        contact_count: '0'
                        id: YxGF
                        list_status: Uploading
                        list_type: Normal
                        name: Form 1
                        open_percentage: '0.00'
                      '2':
                        contact_count: '2'
                        id: xhef
                        list_status: Waiting for approval
                        list_type: Normal
                        name: sample 2 updated
                        open_percentage: '0.00'
                      '3':
                        contact_count: '1'
                        id: ixss
                        list_status: Verifying
                        list_type: Normal
                        name: uptest up test on
                        open_percentage: '0.00'
                      '4':
                        contact_count: '1'
                        id: yFXf
                        list_status: Verifying
                        list_type: Normal
                        name: list f updated
                        open_percentage: '0.00'
                      '5':
                        contact_count: '0'
                        id: IXCa
                        list_status: ''
                        list_type: Normal
                        name: test ddd List-23 Feb 2021 04.22 PM
                        open_percentage: '0.00'
                      '6':
                        contact_count: '0'
                        id: iFfF
                        list_status: Verifying new contacts
                        list_type: Normal
                        name: string nnnnn
                        open_percentage: '0.00'
                      '7':
                        contact_count: '0'
                        id: iFEh
                        list_status: Verifying new contacts
                        list_type: Normal
                        name: string
                        open_percentage: '0.00'
                      '8':
                        contact_count: '0'
                        id: yDJX
                        list_status: Verifying new contacts
                        list_type: Normal
                        name: 'lucky list                 '
                        open_percentage: '0.00'
                      '9':
                        contact_count: '0'
                        id: iDXJ
                        list_status: Verifying new contacts
                        list_type: Normal
                        name: lucksy renamed 1
                        open_percentage: '0.00'
                    list_count: 56
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                        minLength: 1
                      message:
                        type: string
                        minLength: 1
              examples:
                example-1:
                  value:
                    error:
                      field: sort_order
                      message: Invalid sort_order
        '401':
          description: Bad Request
          content:
            application/json:
              schema:
                description: ''
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      field:
                        type: string
                        minLength: 1
                      message:
                        type: string
                        minLength: 1
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        field:
                          type: string
                        message:
                          type: string
              examples:
                example-1:
                  value:
                    errors:
                      - field: ''
                        message: Authorization failed
components:
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        Your Mailercloud API key (plain text, no Bearer prefix). Create keys in
        Settings → API.

````